<?php
/**
 * ウィジェット
 */
class Platy_Widget
{
    /**
     * インストール
     * @return bool 成功時はtrue,失敗時はfalswを返す
     */
    public function install() { return true; }
    
    /**
     * アンインストール
     * @return bool 成功時はtrue,失敗時はfalswを返す
     */
    public function uninstall() { return true; }
    
    /**
     * 概要
     * @return string 概要
     */
    public function getSummary() { return ''; }
    
    /**
     * 作者
     */
    public function getAuthor() { return ''; }
    
    /**
     * バージョン
     */
    public function getVersion() { return ''; }
    
    /**
     * 表示
     */
    public function show($code = '') { }
    
    /**
     * 表示
     * show()は廃止し、render()に移行する予定
     */
    public function render($view, $code = '')
    {
    }
    
    /**
     * 設定
     */
    public function config() { }
    
    /**
     * プロパティ(インスタンスごとの設定)
     */
    public function property($code = '') { }
    
    /**
     * マルチインスタンスか否かを返す
     * @return bool マルチインスタンスのときはtrue,そうでないときはfalseを返す
     */
    public function isMulti() { return false; }
}
?>